Package com.sun.jna.platform.unix

# Class Resource.Rlimit

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.Resource.Rlimit

Enclosing interface:
  Resource

@FieldOrder({"rlim_cur","rlim_max"}) public static class Resource.Rlimit extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `rlim_cur`
  The current (soft) limit.
  `long`
  `rlim_max`
  The hard limit.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rlimit()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### rlim_cur

    public long rlim_cur
    The current (soft) limit.

  - ### rlim_max

    public long rlim_max
    The hard limit.

- ## Constructor Details

  - ### Rlimit

    public Rlimit()